### Method

# SpiceClientGLib Channel get_error

since: 0.24

#### Declaration [src]

    const GError*
    spice_channel_get_error (
      SpiceChannel* channel
    )

#### Description [src]

Retrieves the `GError` currently set on channel, if the `SpiceChannel` is in error state and can provide additional error details.

Available since: 0.24

#### Return value

Type: `GError`

The pointer to the error, or `NULL`.

The returned data is owned by the instance.